## ros-jazzy-hardware-interface 4.11.0

=== debian/changelog ===
ros-jazzy-hardware-interface (4.11.0-1bookworm) bookworm; urgency=high

  * Add find_package for ament_cmake_gen_version_h (#1534 <https://github.com/ros-controls/ros2_control/issues/1534>)
  * Parse URDF soft_limits into the HardwareInfo structure (#1488 <https://github.com/ros-controls/ros2_control/issues/1488>)
  * Contributors: Christoph Fröhlich, adriaroig

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 May 2024 23:00:00 -0000

ros-jazzy-hardware-interface (4.10.0-1bookworm) bookworm; urgency=high

  * Add hardware components exception handling in resource manager (#1508 <https://github.com/ros-controls/ros2_control/issues/1508>)
  * Working async controllers and components [not synchronized] (#1041 <https://github.com/ros-controls/ros2_control/issues/1041>)
  * Parse URDF joint hard limits into the HardwareInfo structure (#1472 <https://github.com/ros-controls/ros2_control/issues/1472>)
  * Add fallback controllers list to the ControllerInfo (#1503 <https://github.com/ros-controls/ros2_control/issues/1503>)
  * Add more common hardware interface type constants (#1500 <https://github.com/ros-controls/ros2_control/issues/1500>)
  * Contributors: Márk Szitanics, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 May 2024 23:00:00 -0000

ros-jazzy-hardware-interface (4.9.0-1bookworm) bookworm; urgency=high

  * Add missing calculate_dynamics (#1498 <https://github.com/ros-controls/ros2_control/issues/1498>)
  * Component parser: Get mimic information from URDF (#1256 <https://github.com/ros-controls/ros2_control/issues/1256>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 23:00:00 -0000

ros-jazzy-hardware-interface (4.8.0-1bookworm) bookworm; urgency=high

  * generate version.h file per package using the ament_generate_version_header  (#1449 <https://github.com/ros-controls/ros2_control/issues/1449>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 27 Mar 2024 00:00:00 -0000

ros-jazzy-hardware-interface (4.7.0-1bookworm) bookworm; urgency=high

  * Codeformat from new pre-commit config (#1433 <https://github.com/ros-controls/ros2_control/issues/1433>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-jazzy-hardware-interface (4.6.0-1bookworm) bookworm; urgency=high

  * Add -Werror=missing-braces to compile options (#1423 <https://github.com/ros-controls/ros2_control/issues/1423>)
  * [CI] Code coverage + pre-commit (#1413 <https://github.com/ros-controls/ros2_control/issues/1413>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Mar 2024 00:00:00 -0000

ros-jazzy-hardware-interface (4.5.0-1bookworm) bookworm; urgency=high

  * Add missing export macros in lexical_casts.hpp (#1382 <https://github.com/ros-controls/ros2_control/issues/1382>)
  * Move hardware interface README content to sphinx documentation (#1342 <https://github.com/ros-controls/ros2_control/issues/1342>)
  * [Doc] Add documentation about initial_value regarding mock_hw (#1352 <https://github.com/ros-controls/ros2_control/issues/1352>)
  * Contributors: Felix Exner (fexner), Mateus Menezes, Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-jazzy-hardware-interface (4.4.0-1bookworm) bookworm; urgency=high

  * Move test_components to own package (#1325 <https://github.com/ros-controls/ros2_control/issues/1325>)
  * Fix controller parameter loading issue in different cases (#1293 <https://github.com/ros-controls/ros2_control/issues/1293>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-jazzy-hardware-interface (4.3.0-1bookworm) bookworm; urgency=high

  * [RM] Fix crash for missing urdf in resource manager (#1301 <https://github.com/ros-controls/ros2_control/issues/1301>)
  * Add additional checks for non existing and not available interfaces. (#1218 <https://github.com/ros-controls/ros2_control/issues/1218>)
  * Adding backward compatibility for string-to-double conversion (#1284 <https://github.com/ros-controls/ros2_control/issues/1284>)
  * [Doc] Make interface comments clearer in the doc strings. (#1288 <https://github.com/ros-controls/ros2_control/issues/1288>)
  * Fix return of ERROR and calls of cleanup when system is unconfigured of finalized (#1279 <https://github.com/ros-controls/ros2_control/issues/1279>)
  * fix the multiple definitions of lexical casts methods (#1281 <https://github.com/ros-controls/ros2_control/issues/1281>)
  * [ResourceManager] adds test for uninitialized hardware (#1243 <https://github.com/ros-controls/ros2_control/issues/1243>)
  * Use portable version for string-to-double conversion (#1257 <https://github.com/ros-controls/ros2_control/issues/1257>)
  * Fix typo in docs (#1219 <https://github.com/ros-controls/ros2_control/issues/1219>)
  * Contributors: Christoph Fröhlich, Dr. Denis, Maximilian Schik, Sai Kishor Kothakota, Stephanie Eng, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 20 Jan 2024 00:00:00 -0000

ros-jazzy-hardware-interface (4.2.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-jazzy-hardware-interface (4.1.0-1bookworm) bookworm; urgency=high

  * Add few warning compiler options to error (#1181 <https://github.com/ros-controls/ros2_control/issues/1181>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 30 Nov 2023 00:00:00 -0000

ros-jazzy-hardware-interface (4.0.0-1bookworm) bookworm; urgency=high

  * [MockHardware] Remove all deprecated options and deprecated plugins from the library. (#1150 <https://github.com/ros-controls/ros2_control/issues/1150>)

