## ros-jazzy-hardware-interface 4.18.0

=== debian/changelog ===
ros-jazzy-hardware-interface (4.18.0-1bookworm) bookworm; urgency=high

  * Adapt controller Reference/StateInterfaces to New Way of Exporting (variant support) (#1689 <https://github.com/ros-controls/ros2_control/issues/1689>)
  * Automatic Creation of Handles in HW, Adding Getters/Setters (variant support) (#1688 <https://github.com/ros-controls/ros2_control/issues/1688>)
  * [RM] Execute error callback of component on returning ERROR or with exception (#1730 <https://github.com/ros-controls/ros2_control/issues/1730>)
  * Contributors: Manuel Muth, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Oct 2024 16:00:00 -0000

ros-jazzy-hardware-interface (4.17.0-1bookworm) bookworm; urgency=high

  * Log exception type when catching the exception (#1749 <https://github.com/ros-controls/ros2_control/issues/1749>)
  * Fix spam of logs on failed hardware component initialization (#1719 <https://github.com/ros-controls/ros2_control/issues/1719>)
  * [HWItfs] Add key-value-storage to the InterfaceInfo (#1421 <https://github.com/ros-controls/ros2_control/issues/1421>)
  * Rename get_state and set_state Functions to get/set_lifecylce_state (variant support) (#1683 <https://github.com/ros-controls/ros2_control/issues/1683>)
  * Contributors: Manuel Muth, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-jazzy-hardware-interface (4.16.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Aug 2024 16:00:00 -0000

ros-jazzy-hardware-interface (4.16.0-1bookworm) bookworm; urgency=high

  * Use handle_name_ variable instead of allocating for every get_name call (#1706 <https://github.com/ros-controls/ros2_control/issues/1706>)
  * Introduce Creation of Handles with InterfaceDescription (variant support) (#1679 <https://github.com/ros-controls/ros2_control/issues/1679>)
  * Preparation of Handles for Variant Support (#1678 <https://github.com/ros-controls/ros2_control/issues/1678>)
  * [RM] Decouple read/write cycles of each component with mutex to not block other components (#1646 <https://github.com/ros-controls/ros2_control/issues/1646>)
  * Contributors: Manuel Muth, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-jazzy-hardware-interface (4.15.0-1bookworm) bookworm; urgency=high

  * [RM] Add get_hardware_info method to the Hardware Components (#1643 <https://github.com/ros-controls/ros2_control/issues/1643>)
  * add missing rclcpp logging include for Humble compatibility build (#1635 <https://github.com/ros-controls/ros2_control/issues/1635>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-jazzy-hardware-interface (4.14.0-1bookworm) bookworm; urgency=high

  * Unused header cleanup (#1627 <https://github.com/ros-controls/ros2_control/issues/1627>)
  * [ResourceManager] Make destructor virtual for use in derived classes (#1607 <https://github.com/ros-controls/ros2_control/issues/1607>)
  * Contributors: Henry Moore, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000

ros-jazzy-hardware-interface (4.13.0-1bookworm) bookworm; urgency=high

  * [ResourceManager] Propagate access to logger and clock interfaces to HardwareComponent (#1585 <https://github.com/ros-controls/ros2_control/issues/1585>)
  * [ControllerChaining] Export state interfaces from chainable controllers (#1021 <https://github.com/ros-controls/ros2_control/issues/1021>)
  * Remove mimic parameter from ros2_control tag (#1553 <https://github.com/ros-controls/ros2_control/issues/1553>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jul 2024 16:00:00 -0000

ros-jazzy-hardware-interface (4.12.0-1bookworm) bookworm; urgency=high

  * Add resources_lock_ lock_guards to avoid race condition when loading robot_description through topic (#1451 <https://github.com/ros-controls/ros2_control/issues/1451>)
  * [RM] Rename load_urdf method to load_and_initialize_components and add error handling there to avoid stack crashing when error happens. (#1354 <https://github.com/ros-controls/ros2_control/issues/1354>)
  * Small improvements to the error output in component parser to make debugging easier. (#1580 <https://github.com/ros-controls/ros2_control/issues/1580>)
  * Fix link to gazebosim.org (#1563 <https://github.com/ros-controls/ros2_control/issues/1563>)
  * Add doc page about joint kinematics (#1497 <https://github.com/ros-controls/ros2_control/issues/1497>)
  * Bump version of pre-commit hooks (#1556 <https://github.com/ros-controls/ros2_control/issues/1556>)
  * [Feature] Hardware Components Grouping (#1458 <https://github.com/ros-controls/ros2_control/issues/1458>)
  * Contributors: Christoph Fröhlich, Dr. Denis, Sai Kishor Kothakota, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Jun 2024 16:00:00 -0000
