=== debian/control ===
Source: ros-jazzy-hardware-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gen-version-h, ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-control-msgs, ros-jazzy-joint-limits, ros-jazzy-lifecycle-msgs, ros-jazzy-pluginlib, ros-jazzy-rclcpp-lifecycle, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-ros2-control-test-assets <!nocheck>, ros-jazzy-tinyxml2-vendor, ros-jazzy-urdf, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-control-msgs, ros-jazzy-joint-limits, ros-jazzy-lifecycle-msgs, ros-jazzy-pluginlib, ros-jazzy-rclcpp-lifecycle, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-tinyxml2-vendor, ros-jazzy-urdf, ros-jazzy-ros-workspace
Description: ros2_control hardware interface
